<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structTransform.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Transform Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="structTransform.html">Transform</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="structTransform.html#a3ac1decab1c97287baff8b1078a0af8d">binary</a>(RawTile &amp;in, unsigned char threshold)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structTransform.html#a457a557dfab93e25e4745f64937862f5">cmap</a>(RawTile &amp;in, enum cmap_type cmap)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structTransform.html#aef17ac45981f521367b5b84292c09df8">contrast</a>(RawTile &amp;in, float c)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structTransform.html#afec763854d9c1014b228db409089a394">equalize</a>(RawTile &amp;in, std::vector&lt; unsigned int &gt; &amp;histogram)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structTransform.html#aaf78ed0c7e79553ccf6edc34b3223db0">flatten</a>(RawTile &amp;in, int bands)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structTransform.html#ac63c2058b3bfe1a896730e69bde3a8c5">flip</a>(RawTile &amp;in, int o)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structTransform.html#a3dff2adee439080e103922910f01e107">gamma</a>(RawTile &amp;in, float g)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structTransform.html#a79935b0501625a704e52d91f08c53f96">getDescription</a>()</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structTransform.html#a9b23b4901c60d29e17069a60aa796c4c">greyscale</a>(RawTile &amp;in)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structTransform.html#aa6c829f0bb60037219b2fbdc1e6523a2">histogram</a>(RawTile &amp;in, const std::vector&lt; float &gt; &amp;max, const std::vector&lt; float &gt; &amp;min)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structTransform.html#ae7e5551efe57aef7a3f3f1ee6d8b766f">interpolate_bilinear</a>(RawTile &amp;in, unsigned int w, unsigned int h)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structTransform.html#ae57c6a03ac48bc1956ff8d384e6afead">interpolate_nearestneighbour</a>(RawTile &amp;in, unsigned int w, unsigned int h)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structTransform.html#a0b70af250f14cf171f980b2a32c63d09">inv</a>(RawTile &amp;in)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structTransform.html#a1b709fc6b2e17c8517091750e41d1c21">LAB2sRGB</a>(RawTile &amp;in)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structTransform.html#a91c6da0b9e8ec35414e79ef6e7af0433">normalize</a>(RawTile &amp;in, const std::vector&lt; float &gt; &amp;max, const std::vector&lt; float &gt; &amp;min)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structTransform.html#a526efb8dbfcca9d29890a791e212c30e">rotate</a>(RawTile &amp;in, float angle)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structTransform.html#aec3ef98eb69767a1b3f563cf4ee9694e">shade</a>(RawTile &amp;in, int h_angle, int v_angle)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structTransform.html#a35876de0838e52cf8489ca9d71dfb7f5">threshold</a>(std::vector&lt; unsigned int &gt; &amp;histogram)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structTransform.html#a406c76986276c32665d6a5b16d978c32">twist</a>(RawTile &amp;in, const std::vector&lt; std::vector&lt; float &gt; &gt; &amp;ctw)</td><td class="entry"><a class="el" href="structTransform.html">Transform</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
